<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://java.sun.com/jsp/jstl/core">

<ui:composition template="/arch.xhtml">
    <ui:define name="head">
        <title>Postes ouverts</title>
    </ui:define>

    <ui:define name="content">
        <h:outputStylesheet library="css" name="candidateStyle.css"/>
        <div class="" style="display: flex; justify-content:center">
            <b:form>
                <div class="RespAndCandidateNav"
                     style="display:flex; flex: 1; width: 20vw; flex-wrap: wrap;flex-direction:column; height: 87vh">
                    <div class="Filter"
                         style=" flex : 1; margin-top:0rem; height:7vh; display: flex; justify-content: space-around;padding: 1rem ">
                        <b:button value="Filter les resultats" look="warning"
                                  onclick="$('.filterJobModal').modal()"></b:button>
                    </div>

                    <div class="JobList" style="display: flex; flex-direction:column; flex:8">
                        <h:outputScript library="js" name="job.js"></h:outputScript>
                        <div style="padding:1rem; background-color:#F2F2F2; flex:1; border: solid darkgray thin; border-radius: 10px; display: flex; flex-direction: column;">

                            <div class="JobsPanel"
                                 style=" display:flex; flex-direction:column; align-content:center; height:75vh; overflow-y: scroll;">
                                <c:forEach var="job"
                                           items="#{mbJob.activeJobs}">
                                    <div style="flex:1;  "
                                    >
                                        <b:panel class="JobPanel" title="#{job.title}"
                                                 look="primary" style="cursor:pointer;" collapsible="false"
                                                 onclick="setJobPanel('#{job.getTitle()}',
                                                           '#{job.getMinSalary()}',
                                                           '#{job.getCity().getCityName()} #{job.getCity().getPostCode()}',
                                                           '#{job.getStudyLevel().getLevel()}',
                                                           '#{job.getWorkingTime().getType()}',
                                                           '#{job.getContractType().getType()}',
                                                           '#{job.getId()}',
                                                           '#{job.getMaxSalary()}','#{mbLogin.sessionCandidate.getId()}')">
                                            <ul>
                                                <li>#{job.getRecruiter().getCompany().getName()}</li>
                                                <li>#{job.getCity().getCityName()} (#{job.getCity().getPostCode()})</li>
                                                <li> entre  #{job.getMinSalary()} € et #{job.getMaxSalary()} € par an</li>
                                                <b:inputTextarea
                                                        style="visibility: hidden; height:0rem; width:0rem; margin:-1rem"
                                                        value="#{job.getDetails()}"
                                                        class="detail#{job.id}"></b:inputTextarea>
                                            </ul>
                                        </b:panel>
                                    </div>
                                </c:forEach>
                            </div>
                        </div>
                    </div>

                </div>
            </b:form>
            <div class="divForJobDetail">
                <div class="activeFilter" style="height: 12vh;margin-left: 2rem; margin-top: -2rem">
                    <div>
                        <h3>Filtres actifs</h3>
                    </div>
                    <div class="filterList"
                         style="display: flex;flex-direction: row; justify-content: space-evenly; background-color: #F5F5F5; border-radius: 5px; border: solid #DFF2FF; ">
                        <div class="filterPart1" style="display: flex;flex-direction: column">
                            <ul>
                                <li class="Title">
                                    <strong>Mot clé dans le titre : </strong>${mbJob.filterTitle}
                                </li>
                                <li class="Details">
                                    <strong>Mot clé dans la description : </strong>${mbJob.filterDetails}
                                </li>
                            </ul>
                        </div>
                        <div class="filterPart2" style="display: flex;flex-direction: column">
                            <ul>
                                <li class="WorkingTime">
                                    <strong>Temps de travail : </strong>${mbJob.filterWorkingTime}
                                </li>
                                <li class="ContractType">
                                    <strong>Type de contrat: </strong>${mbJob.filterContractType}
                                </li>
                                <li class="StudyLevel">
                                    <strong>Niveau d'étude : </strong>${mbJob.filterStudyLevel}
                                </li>
                            </ul>
                        </div>
                        <div class="filterPart3" style="display: flex;flex-direction: column">
                            <ul>
                                <li class="minSalary">
                                    <strong>Salaire minimum : </strong>${mbJob.filterMinSalary}
                                </li>
                                <li class="maxSalary">
                                    <strong>Salaire maximum : </strong>${mbJob.filterMaxSalary}
                                </li>
                                <li class="city">
                                    <strong>Ville :</strong>${mbJob.filterCity}
                                    <c:if test="${mbJob.filterCity != 'Toutes les villes'}">
                                    dans un rayon de ${mbJob.filterRadius} km
                                    </c:if>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="jobBlock" style="flex: 1; width: 60vw; visibility: hidden ;">
                    <div class="JobInfo"
                         style="background-color: #DFF2FF; padding: 2rem; margin: 1rem; border-radius: 3px">
                        <b:form>
                            <div class="detailListJob"
                                 style="display: flex; justify-content: flex-start; margin-bottom: 2rem">
                                <div class="detailListJob1">
                                    <div class="adress"
                                         style="display: flex; justify-content:flex-start; flex:1">
                                        <b:icon value="globe" size="2x"/>
                                        <h:outputText class="AdressInput"
                                                      style="margin-left : 5rem; font-weight: bold"
                                                      value=""></h:outputText>
                                    </div>
                                    <div class="Salary"
                                         style="display: flex; justify-content:flex-start">
                                        <b:icon value="euro" size="2x"/>
                                        <h:outputText class="SalaryInput"
                                                      style="margin-left : 5rem; font-weight: bold"
                                                      value="52000€/an"></h:outputText>
                                    </div>
                                    <div class="Diploma"
                                         style="display: flex; justify-content:flex-start">
                                        <b:iconAwesome value="fa-book" size="2x"/>
                                        <h:outputText class="DiplomaInput"
                                                      style="margin-left : 5rem; font-weight: bold"
                                                      value="bac + 5"></h:outputText>
                                    </div>
                                </div>
                                <div class="detailListJob2" style="margin-left: 4vw">
                                    <div class="time"
                                         style="display: flex; justify-content:flex-start;flex:1">
                                        <b:iconAwesome value="fa-clock-o" size="2x"/>
                                        <h:outputText class="TimeInput"
                                                      style="margin-left : 5rem; font-weight: bold"
                                                      value="06 58 28 98 98"></h:outputText>
                                    </div>
                                    <div class="contract" style="display: flex; justify-content:flex-start">
                                        <b:iconAwesome value="fa-suitcase" size="2x"/>
                                        <h:outputText class="ContractInput"
                                                      style="margin-left : 5rem; font-weight: bold"
                                                      value="a.legrand@hotmail.fr"></h:outputText>
                                    </div>
                                </div>
                                <div class="dibJobTitle" style="flex:3; display: flex; justify-content: flex-end; ">
                                    <h1 class="jobTitle"
                                        style="margin-left: 3rem; color: black; font-weight: bold"></h1>
                                </div>
                            </div>
                            <div class="buttonList"
                                 style="display: flex; justify-content: space-between">
                                <div class="divForApplyButton"
                                     style="display: flex;justify-content: space-around; flex: 1">
                                    <b:button class="applyButton" look="success" value="Postuler"></b:button>
                                </div>
                                <div class="saveButton"
                                     style="flex: 2; display: flex; justify-content: flex-end">
                                    <b:button look="primary" value="sauvegarder"></b:button>
                                </div>
                            </div>
                            <div class="Detail"
                                 style="height: 50vh; display: flex; flex-direction: column; margin-top: 2rem">
                                <b:inputTextarea disabled="true" class="DetailInput"
                                                 value="détail"
                                                 style="  min-height : 50vh; max-height : 50vh; align-items: stretch"
                                ></b:inputTextarea>
                            </div>
                        </b:form>
                    </div>
                </div>
            </div>
        </div>
        <b:modal title="Rechercher un Poste" styleClass="filterJobModal" closable="false"
                 close-on-escape="false" backdrop="false">
            <div class="field">
                <h:form>
                    <fieldset>
                        <legend>Choisissez les filtres à appliquer</legend>
                        <div class="citySelection">
                            <label>Lieu du poste</label>
                            <b:row>
                                <b:column colMd="2" colXs="2" colSm="2"
                                          style="text-align:center; vertical-align: bottom;">
                                    <h:outputText style="font-weight: bold" value="Code postal"/>
                                </b:column>
                                <b:column colMd="4" colXs="4" colSm="4">
                                    <h:outputScript library="js" name="city.js"></h:outputScript>
                                    <b:remoteCommand name="SetCityInfo"
                                                     actionListener="#{mbCandidate.setCityInfo}"
                                                     parameters="CityInfo"/>
                                    <div class="form-group">
                                        <div><b:inputText placeholder="Saisissez un code postal"
                                                          class="postalCodeInput" onkeyup="postalCodes()"/>
                                        </div>
                                        <div class="postalCodeSelect">
                                        </div>
                                    </div>
                                </b:column>
                                <b:column colMd="2" colXs="2" colSm="2"
                                          style="text-align:center; vertical-align: bottom;">
                                    <h:outputText style="font-weight: bold" value="Ville"/>
                                </b:column>
                                <b:column colMd="4" colXs="4" colSm="4">
                                    <div class="citySelect">
                                    </div>
                                    <div><b:inputText style="visibility: hidden;" class="cityInput"/></div>
                                </b:column>
                            </b:row>
                            <b:row>
                                <b:column colMd="12" colXs="12" colSm="12"
                                          style="display:flex; ">
                                    <b:slider2 span="12" mode="edit"
                                               label="Rayon de :" handle-shape="round"
                                               value="#{mbJob.radius}" min="0" max="200"/>
                                </b:column>
                            </b:row>
                            <b:remoteCommand name="SetCityInfo" actionListener="#{mbCandidate.setCityInfo}"
                                             parameters="CityInfo"/>
                        </div>
                        <div class="">
                            <label>Titre du poste</label>
                            <b:inputText class="inputTitle" value="#{mbJob.title}"
                                         placeholder="mot clé contenu dans le titre"/>
                        </div>
                        <div class="">
                            <label>Détails du poste</label>
                            <b:inputText class="inputDetail" value="#{mbJob.details}"
                                         placeholder="mot clé contenu dans le descriptif du poste"/>
                        </div>
                        <div class="">
                            <label>Prétention salariale</label>
                            <b:inputText class="inputMinSalary" value="#{mbJob.minSalary}"
                                         placeholder="Fourchette basse (brut annuel)"/> <b:inputText
                                class="inputMaxSalary" value="#{mbJob.maxSalary}"
                                placeholder="Fourchette haute (brut annuel)"/>
                        </div>
                        <div class="time"
                             style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                            <label style="flex:1;" for="timeSelect">Disponibilité</label>
                            <b:selectOneMenu value="#{mbJob.workingTimeId}"
                                             style="flex:1;text-align: center;" class="timeSelectInput"
                                             id="timeSelect">
                                <f:selectItem itemLabel="(Sélectionnez une durée de travail)" itemValue=""/>
                                <f:selectItems var="time" value="#{mbJob.times}" itemValue="#{time.id}"
                                               itemLabel="#{time.type}"/>
                            </b:selectOneMenu>
                        </div>
                        <div class="Diploma"
                             style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                            <label style="flex:1;" for="diplomaSelect">Niveau de diplôme requis</label>
                            <b:selectOneMenu value="#{mbJob.studyLevelId}"
                                             style="flex:1;text-align: center;" class="diplomaSelectInput"
                                             id="diplomaSelect">
                                <f:selectItem itemLabel="(Sélectionnez un niveau de diplôme)" itemValue=""/>
                                <f:selectItems var="level" value="#{mbJob.levels}" itemValue="#{level.id}"
                                               itemLabel="#{level.level}"/>
                            </b:selectOneMenu>
                        </div>
                        <div class="Contract"
                             style="display: flex; flex-direction: row;justify-content: flex-start; margin-bottom: 2rem;">
                            <label style="flex:1;" for="contractSelect">Type de contrat</label>
                            <b:selectOneMenu value="#{mbJob.contractTypeId}"
                                             style="flex:1;text-align: center;" class="contractSelectInput"
                                             id="contractSelect">
                                <f:selectItem itemLabel="(Sélectionnez un type de contrat)" itemValue=""/>
                                <f:selectItems var="contract" value="#{mbJob.contracts}" itemValue="#{contract.id}"
                                               itemLabel="#{contract.type}"/>
                            </b:selectOneMenu>
                        </div>
                    </fieldset>
                    <div class="buttonSet"
                         style="display: flex;flex-direction: row; justify-content: space-evenly">
                        <b:commandButton value="Filtrer" look="primary" dismiss="modal" action="#{mbJob.filterJob()}"/>
                        <b:button value="Annuler" dismiss="modal"/>
                    </div>
                </h:form>
            </div>
        </b:modal>
    </ui:define>
</ui:composition>

</html>